Conversations

Initiate Recall

Initiates a meeting session with the recall integration

post
/v1/integration/recall/{recallIntegrationId}/initiate

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

recallIntegrationIdstring* Required

The ID of the recall integration to use

Request Body * Required

Request Body Schema: application/json

meetingUrlstring

The URL of the meeting to join

textstring

The instruction text to use to initiate the meeting session

botNamestring

The display name for the bot in the meeting

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.integration.recall.initiate(

recallIntegrationId,
{
"meetingUrl":"string",
"text":"string",
"botName":"string"
}
)
{
"id":"string",
"bot":"object"
}
The recall integration was successfully initiated